跳到主要内容
Sursa Developers

对象

TextCardRequest

字段

  • titlestring必填

    length ≥ 1, length ≤ 200

  • collectionstring

    默认值:"default"

  • body_markdownstring

    Markdown 格式的卡片正文;content_type 对其不适用。也可以改为传入 body。

    length ≥ 1, length ≤ 500000

  • tagsarray of string | null

    items ≤ 30

  • categorystring | null

    length ≤ 60

  • sensitiveboolean | null
  • owner_idinteger | null
  • asyncboolean

    默认值:false

  • bodystring

    content_type 格式的卡片正文。body 和 body_markdown 二选一;两者都传入时返回 422 validation.failed。

    length ≥ 1, length ≤ 500000

  • collection_idinteger | null

    按 ID 指定合集。同时传入 collection 时以 collection_id 为准。组织中不存在或不可见的合集返回 404 collections.not_found。

  • folder_idstring | null

    放入卡片的合集文件夹,检查方式与上传文件时的 folder_id 相同。属于其他合集的文件夹返回 400 folders.card_collection_mismatch,不存在的文件夹返回 404 folders.not_found,对该文件夹没有 COLLECTION_EDIT_CARDS 权限时返回 403 authz.forbidden。

    length ≤ 64

  • external_idstring | null

    新卡片的 external_id。如果组织中的另一张卡片已使用该值,请求返回 409 cards.external_id_taken。要按 external_id 创建或替换卡片,请使用 PUT /v1/cards-by-external-id/{external_id}。

    length ≤ 512

使用方